unit winamp_vis;
interface
uses windows;
 type
   PwinampVisModule = ^TwinampVisModule;
   TwinampVisModule = record
                description  :PChar;        // description of module
                hwndParent   :HWND;         // parent window (filled in by calling app)
                hDllInstance :HINST;    // instance handle to this DLL (filled in by calling app)
                sRate        :Cardinal;     // sample rate (filled in by calling app)
                nCh          :Cardinal;     // number of channels (filled in...)
                latencyMs    :Cardinal;     // latency from call of RenderFrame to actual drawing\
                                            // (calling app looks at this value when getting data)
                delayMs      :Cardinal;     // delay between calls in ms

                // the data is filled in according to the respective Nch entry

                spectrumNch  :Cardinal;
                waveformNch  :Cardinal;
                spectrumData : Array [1 .. 2,1 .. 576] of Byte;
                waveformData : Array [1 .. 2,1 .. 576] of Byte;
                Config       : function (this_mod:PwinampVisModule):Cardinal ; cdecl;             // configuration dialog
                Init         : function  (this_mod:PwinampVisModule):Cardinal ; cdecl;   // 0 on success, creates window, etc
                Render       : function  (this_mod:PwinampVisModule):Cardinal ; cdecl;   // returns 0 if successful, 1 if vis should end
                Quit         : function (this_mod:PwinampVisModule):Cardinal ; cdecl;             // call when done

                userData     :procedure; cdecl;  // user data, optional

                       end;

    TwinampVisHeader = record
                      version       : Cardinal;
                      description   : PChar;  // description of library
                      getModule     : function (A : Cardinal):PwinampVisModule;cdecl;
                       end;




implementation

end.
